// ErO_Stat.cpp : implementation file
/////////////////////////////////////////////////////////////////////////////
#include "StdAfx.h"

#include "ErO_Stat.hpp"

#include "ErO_DgIf.hpp"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ErO_StaticForMoreInfos

BEGIN_MESSAGE_MAP(ErO_StaticForMoreInfos, CStatic)
	//{{AFX_MSG_MAP(ErO_StaticForMoreInfos)
	ON_WM_MOUSEMOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


//***************************************************************************
ErO_StaticForMoreInfos::ErO_StaticForMoreInfos()
{
	m_pri_tdeType = ERO_STATIC_TYPE__UNKNOWN;
}

//***************************************************************************
ErO_StaticForMoreInfos::~ErO_StaticForMoreInfos()
{

}

/////////////////////////////////////////////////////////////////////////////
// ErO_StaticForMoreInfos message handlers

//***************************************************************************
void ErO_StaticForMoreInfos::OnMouseMove(UINT nFlags, CPoint point) 
{
	//Displays additonnal messages
	CRect crWindowRect;
	GetWindowRect(crWindowRect);
//	CPoint cpPoint = crWindowRect.BottomRight();
	CPoint cpPoint = crWindowRect.TopLeft();

	ErO_MoreInfoDialog dial(this, cpPoint, m_pri_tdeType);
	dial.DoModal();
	
	CStatic::OnMouseMove(nFlags, point);
}

//***************************************************************************
void ErO_StaticForMoreInfos::m_pub_fn_vSetType(ErO_tdeStaticType _tdeType)
{
	m_pri_tdeType = _tdeType;
}
